
Redmine - Patch #17239

ActionMailer cannot send email via SSL SMTP

2014-06-20 10:15 - hongbo yang

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Description

I'm setting up a Redmine with Bitnami Stack. All works but sending email not.

Environment:

Redmine version                2.5.1.stable

Ruby version                   1.9.3-p545 (2014-02-24) [x86_64-linux]

Rails version                  3.2.17

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.8

Git                            1.9.0

Filesystem

Redmine plugins:

no plugin installed

I googled through web, I find the solution:

http://www.redmine.org/boards/2/topics/13625?r=15681 referenced: 

https://rails.lighthouseapp.com/projects/8994/tickets/1731-make-enable_starttls_auto-opt-in-in-actionmailer#ticket-1731-18

the action mailer cannot handle ssl smtp server correctly. the referenced url gives a bug fix for redmine (or for rails)

History

#1 - 2014-06-20 10:50 - hongbo yang

- Status changed from New to Resolved

hongbo yang wrote:

I'm setting up a Redmine with Bitnami Stack. All works but sending email not.

Environment:

Redmine version                2.5.1.stable

Ruby version                   1.9.3-p545 (2014-02-24) [x86_64-linux]

Rails version                  3.2.17

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.8

Git                            1.9.0

Filesystem

Redmine plugins:

no plugin installed

I googled through web, I find the solution:

http://www.redmine.org/boards/2/topics/13625?r=15681 referenced: 

https://rails.lighthouseapp.com/projects/8994/tickets/1731-make-enable_starttls_auto-opt-in-in-actionmailer#ticket-1731-18

the action mailer cannot handle ssl smtp server correctly. the referenced url gives a bug fix for redmine (or for rails)

 I tried that smtp settings does have a ssl option

so currently we do not need the mailer_ext.rb patch file to work with SSL smtp server. but the ssl option is not mentioned in current doc

default:

  # Outgoing emails configuration (see examples above)
  email_delivery:

    delivery_method: :smtp

  smtp_settings:

    address: smtp.domain.com

    port: 465

    ssl: true

    enable_starttls_auto: true

    domain: domain.com

    authentication: :login

    user_name: redmine@domain.com

    password: xxxx

#2 - 2014-06-22 00:41 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

Files

mailer_ext.rb 646 Bytes 2014-06-20 hongbo yang
